<?php
/* http://creativecommons.org/licenses/by-nc-sa/3.0/ */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');

elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

/* Everybody likes hooks */
$hooks = array(
	'integrate_pre_include' => '$sourcedir/SlideTab.php',
	'integrate_general_mod_settings' => 'SlideTab_settings',
	'integrate_load_theme' => 'SlideTab_headers',
);
    
$call = 'add_integration_function';

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);